Bug 47204 - Unsuccesful MOVE can lead to data loss
Summary: Unsuccesful MOVE can lead to data loss
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_dav (show other bugs)
Version: 2.2.11
Hardware: PC Windows Server 2003
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2009-05-16 06:00 UTC by Neat
Modified: 2012-02-26 16:55 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Neat 2009-05-16 06:00:33 UTC
In rare cases (happened twice on my installation) unsuccessful WebDAV MOVE between different disks causes a file being moved to disappear (both source and destination).
Client was Total Commander WebDAV plugin version 1.6.

This happens because if move operation could not delete the source after move (for whatever reason), it deletes the destination! (see modules/dav/fs/repos.c, lines 417-438)
This behavior should be disabled.

The same problem was reported here: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=273476
Comment 1 Stefan Fritsch 2010-08-18 18:32:13 UTC
fixed in r834697
Comment 2 Stefan Fritsch 2012-02-26 16:55:38 UTC
fixed in 2.4.1